Subject: dead RTL8139D eth

From: "wlacey" <[email-masked]>
Date: Wed, 25 Feb 2004 17:50:56

I'm currently bringing up a 2.4.28 based kernel on a tx4925 equipped board attempting to use an NFS'ed root filesystem. 

The problem is I never see the initial RPC requests from the target to the host machine. The target knows via boot options it's ip address and the address of the nfs host. 

The attempt at transfer fails, I never see reception of _any_ message on the host and the interface statistics never reflect that any packet has even been attempted to be sent. i.e. tx bytes/packes are always zero.

Some output follows...

RPC: rpc_execute flgs 0
start_xmit() max(len:42   ETH_ZLEN:60) 60
Post xmit stats tx_bytes:0      tx_packets:0 tx_dropped:0
Post xmit stats rx_bytes:0      rx_packets:0 rx_dropped:0
start_xmit() max(len:42   ETH_ZLEN:60) 60
Post xmit stats tx_bytes:0      tx_packets:0 tx_dropped:0
Post xmit stats rx_bytes:0      rx_packets:0 rx_dropped:0
start_xmit() max(len:42   ETH_ZLEN:60) 60
Post xmit stats tx_bytes:0      tx_packets:0 tx_dropped:0
Post xmit stats rx_bytes:0      rx_packets:0 rx_dropped:0
start_xmit() max(len:42   ETH_ZLEN:60) 60
Post xmit stats tx_bytes:0      tx_packets:0 tx_dropped:0
Post xmit stats rx_bytes:0      rx_packets:0 rx_dropped:0
NETDEV WATCHDOG: eth0: transmit timed out
eth0: Transmit timeout, status 0d 0040 media 10.
io address:00001000 inl:8014baac
eth0: Tx queue start entry 4  dirty entry 0.
eth0:  Tx descriptor 0 is 00002000. (queue head)
eth0:  Tx descriptor 1 is 00002000.
eth0:  Tx descriptor 2 is 00002000.
eth0:  Tx descriptor 3 is 00002000.
eth0: Setting 100mbps full-duplex based on auto-negotiated partner ability 45e1.

What am I doing wrong?

Warrick Lacey